GWT 2.7.0

## com.google.gwt.aria.client
Class TabRoleImpl

    java.lang.Object
      com.google.gwt.aria.client.RoleImpl
          com.google.gwt.aria.client.TabRoleImpl

All Implemented Interfaces:
  Role, SectionheadRole, StructureRole, TabRole, WidgetRole

     class TabRoleImpl

extends RoleImpl
implements TabRole

Implements `TabRole`.

Constructor Summary
`TabRoleImpl(java.lang.String roleName)`

Method Summary
`java.lang.String` | `getAriaExpandedState(Element element)` Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
`java.lang.String` | `getAriaSelectedState(Element element)` Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.
`void` | `removeAriaExpandedState(Element element)` Removes the aria-expanded attribute from the `element`.
`void` | `removeAriaSelectedState(Element element)` Removes the aria-selected attribute from the `element`.
`void` | `setAriaExpandedState(Element element, ExpandedValue value)` Sets the aria-expanded attribute for the `element` to the given `value`.
`void` | `setAriaSelectedState(Element element, SelectedValue value)` Sets the aria-selected attribute for the `element` to the given `value`.

Methods inherited from class com.google.gwt.aria.client.RoleImpl

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.aria.client.Role

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

Constructor Detail

### TabRoleImpl

    TabRoleImpl(java.lang.String roleName)

Method Detail

### getAriaExpandedState

    public java.lang.String getAriaExpandedState(Element element)

  Description copied from interface: `SectionheadRole`
  Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.

  Specified by:
    `getAriaExpandedState` in interface `SectionheadRole`

### getAriaSelectedState

    public java.lang.String getAriaSelectedState(Element element)

  Description copied from interface: `TabRole`
  Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.

  Specified by:
    `getAriaSelectedState` in interface `TabRole`

### removeAriaExpandedState

    public void removeAriaExpandedState(Element element)

  Description copied from interface: `SectionheadRole`
  Removes the aria-expanded attribute from the `element`.

  Specified by:
    `removeAriaExpandedState` in interface `SectionheadRole`

### removeAriaSelectedState

    public void removeAriaSelectedState(Element element)

  Description copied from interface: `TabRole`
  Removes the aria-selected attribute from the `element`.

  Specified by:
    `removeAriaSelectedState` in interface `TabRole`

### setAriaExpandedState

    public void setAriaExpandedState(Element element,
                                     ExpandedValue value)

  Description copied from interface: `SectionheadRole`
  Sets the aria-expanded attribute for the `element` to the given `value`.

  Specified by:
    `setAriaExpandedState` in interface `SectionheadRole`

### setAriaSelectedState

    public void setAriaSelectedState(Element element,
                                     SelectedValue value)

  Description copied from interface: `TabRole`
  Sets the aria-selected attribute for the `element` to the given `value`.

  Specified by:
    `setAriaSelectedState` in interface `TabRole`

GWT 2.7.0